diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index aaf3228..d79a3c4 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -390,12 +390,16 @@ class Mailer < ActionMailer::Base
     h.each { |k,v| headers["X-ChiliProject-#{k}"] = v }
   end
 
+  def test?
+    headers["X-ChiliProject-Type"] == "Test"
+  end
+
   # Overrides the create_mail method
   def create_mail
     # Removes the current user from the recipients and cc
     # if he doesn't want to receive notifications about what he does
     @author ||= User.current
-    if @author.pref[:no_self_notified]
+    if @author.pref[:no_self_notified] and !test?
       recipients((recipients.is_a?(Array) ? recipients : [recipients]) - [@author.mail]) if recipients.present?
       cc((cc.is_a?(Array) ? cc : [cc]) - [@author.mail]) if cc.present?
     end
